Extending Qt Creator Manual | ExtensionSystem Namespace

Extending Qt Creator Manual 4.9.1

# ExtensionSystem Namespace

The ExtensionSystem namespace provides classes that belong to the core plugin system. More...

Header: | #include <ExtensionSystem>

## Namespaces

namespace | Internal

## Classes

class | Invoker
class | Invoker

## Functions

Result | invoke(int *target, const char *slot)
Result | invoke(int *target, const char *slot)
Result | invoke(int *target, const char *slot, const T0 &t0)
Result | invoke(int *target, const char *slot, const T0 &t0)
Result | invoke(int *target, const char *slot, const T0 &t0, const T1 &t1)
Result | invoke(int *target, const char *slot, const T0 &t0, const T1 &t1)
Result | invoke(int *target, const char *slot, const T0 &t0, const T1 &t1, const T2 &t2)
Result | invoke(int *target, const char *slot, const T0 &t0, const T1 &t1, const T2 &t2)
void | invokeHelper(int &in, int *target, const char *slot)
void | invokeHelper(int &in, int *target, const char *slot)

## Detailed Description

The ExtensionSystem namespace provides classes that belong to the core plugin system.

The basic extension system contains the plugin manager and its supporting classes, and the IPlugin interface that must be implemented by plugin providers.

## Classes

### class Invoker

## Function Documentation

### Result ExtensionSystem::invoke(int *target, const char *slot)

### Result ExtensionSystem::invoke(int *target, const char *slot, const T0 &t0)

### Result ExtensionSystem::invoke(int *target, const char *slot, const T0 &t0, const T1 &t1)

### Result ExtensionSystem::invoke(int *target, const char *slot, const T0 &t0, const T1 &t1, const T2 &t2)

### void ExtensionSystem::invokeHelper(int &in, int *target, const char *slot)